# KeyPathString

    extension KeyPathString

- `init(keyPath:)`

  Extracts the keyPath string from the property.

      let keyPath = String(keyPath: \Person.nickname)

  #### Declaration

  Swift

      public init<O, V>(keyPath: KeyPath<O, V>) where O : NSManagedObject, V : AllowedObjectiveCKeyPathValue

- `init(keyPath:)`

  Extracts the keyPath string from the property.

      let keyPath = String(keyPath: \Person.nickname)

  #### Declaration

  Swift

      public init<O, K>(keyPath: KeyPath<O, K>) where O : CoreStoreObject, K : KeyPathStringConvertible

- `init(keyPath:)`

  Extracts the keyPath string from the property.

      let keyPath = String(keyPath: \Person.nickname)

  #### Declaration

  Swift

      public init<O, T, V>(keyPath: Where<O>.Expression<T, V>) where O : DynamicObject, T : WhereExpressionTrait